API ReferenceTask Comment
Get Task Comments By Task Share Token
Get Task Comments By Task Share Token
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
token*string
TaskComment identifier
Query Parameters
page?integer
The collection page number
Default
1itemsPerPage?integer
The number of items per page
Range
0 <= value <= 100Default
30cursorId?string
topLevel?boolean
repliesTo?string
order[createdAt]?string
Default
"asc"Value in
- "asc"
- "desc"
Response Body
curl -X GET "https://example.com/project/tasks/shared/string/task-comments"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "isEmoji": true, "content": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" }, "createdBySource": "user", "files": [ { "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" }, "type": "project", "taskComment": "74b627f5-ff78-4f23-addf-c50b206a1b80", "previewImageUrl": "string", "downloadUrl": "string", "downloadType": "download-direct", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z" } ], "repliesTo": "536892ab-afb1-4c3e-9f5e-765a077adb2f", "repliesCount": 0, "taskCommentMentions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" } } ], "taskCommentReactions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" }, "reactionType": "string" } ] }]